// dllmain.cpp : Defines the entry point for the DLL application.
#include "stdafx.h"

#include "support.h"

BOOL APIENTRY DllMain( HMODULE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:

			debug_func_begin(DIO_SEVERITY_CRITICAL, "DLL_PROCESS_ATTACH");
			break;
		case DLL_THREAD_ATTACH:
			debug_func_begin(DIO_SEVERITY_CRITICAL, "DLL_THREAD_ATTACH");
			break;
		case DLL_THREAD_DETACH:
			debug_func_end(DIO_SEVERITY_CRITICAL, "DLL_THREAD_DETACH");
			break;
		case DLL_PROCESS_DETACH:
			debug_func_end(DIO_SEVERITY_CRITICAL, "DLL_PROCESS_DETACH");
			break;
	}
	return TRUE;
}
